function k = linardKernCompute(kern, x, x2)

% LINARDKERNCOMPUTE Compute the linear ARD kernel given the parameters and X.
%
% k = linardKernCompute(kern, x, x2)

% Copyright (c) 2004 Neil D. Lawrence
% File version 1.2, Sat Jun 12 14:29:05 2004
% KERN toolbox version 0.1





scales = sparse(diag(sqrt(kern.inputScales)));
x = x*scales;
    
if nargin < 3
  k = x*x'*kern.variance;
else
  x2 = x2*scales;
  k = x*x2'*kern.variance;
end
